Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Chat.Filter
Class Filter

    java.lang.Object
      |
      +--jChatBox.Chat.Filter.Filter

Direct Known Subclasses:
  HTMLFilter, URLFilter

public abstract class Filter
extends java.lang.Object
implements java.io.Serializable

This class defines a generic Filter.
Extended classes must fill in :
_name, _id and _description Strings in constructor.
Note that jChatBox conf/ folder path is available thanks to XMLConfig.CONFFOLDER static field.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `_description`
`protected java.lang.String` | `_id`
`protected java.lang.String` | `_name`
`protected java.util.Vector` | `_params`

Constructor Summary
`Filter()`

Method Summary
`java.lang.String` | `getDescription()` Returns Filter's description.
`java.lang.String` | `getID()` Returns Filter's ID.
`java.lang.String` | `getName()` Returns Filter's name.
`java.util.Vector` | `getParams()` Returns Filter's parameters.
`abstract void` | `init()` Initialize the Filter. This method will be called after filter's instantiation.
`abstract java.lang.String` | `process(java.lang.String input)` Processes input to output.
`void` | `setParams(java.util.Vector v)` Sets Filter's parameters.
`protected void` | `trace(int level, java.lang.String msg)` Sends trace to debug.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    protected java.lang.String _name

### _id

    protected java.lang.String _id

### _description

    protected java.lang.String _description

### _params

    protected java.util.Vector _params

Constructor Detail

### Filter

    public Filter()

Method Detail

### init

    public abstract void init()

  Initialize the Filter.
  This method will be called after filter's instantiation.

### process

    public abstract java.lang.String process(java.lang.String input)

  Processes input to output.

### getID

    public java.lang.String getID()

  Returns Filter's ID.

### getDescription

    public java.lang.String getDescription()

  Returns Filter's description.

### getName

    public java.lang.String getName()

  Returns Filter's name.

### getParams

    public java.util.Vector getParams()

  Returns Filter's parameters.

### setParams

    public void setParams(java.util.Vector v)

  Sets Filter's parameters.

### trace

    protected void trace(int level,
                         java.lang.String msg)

  Sends trace to debug.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD